package a3test.comp2d;

import jp.sourceforge.acerola3d.a3.*;
import java.awt.*;

public class PaintTest extends Component2D {
    public void paint(Graphics2D g,A3CanvasInterface canvas) {
        g.setColor(Color.red);
        g.drawLine(0,0,100,100);
    }
    public static void main(String args[]) throws Exception {
        JA3Window w = new JA3Window(300,300);
        w.setNavigationMode(A3CanvasInterface.NaviMode.EXAMINE);
        A3Text3D t = new A3Text3D("test");
        t.setScale(0.3);
        w.add(t);

        PaintTest pt = new PaintTest();
        w.add(pt);
        try{Thread.sleep(1000);}catch(Exception e){;}
        t.setLabel("label");
        try{Thread.sleep(3000);}catch(Exception e){;}
        t.setLabel(null);
    }
}
